Skip to main content
System Management/Security Settings Interfaces/Console Proxy Interfaces
POSTConsole Proxy InterfacesSince 0.6SynchronousAuth Required

Request Console Access

Request Console Access

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • vmInstanceUuidStringRequired

    Virtual machine UUID

  • systemTagsList

    System tags

  • userTagsList

    User tags

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    Error code. If not null, the operation has failed. This field is null when the operation succeeds. For details, see error

    • codeStringRequired

      Error code number. The globally unique identifier of the error, for example, SYS.1000 or HOST.1001.

    • descriptionStringRequired

      Brief description of the error

    • detailsStringRequired

      Detailed information about the error

    • elaborationStringRequired

      Reserved field. Default is null.

    • opaqueLinkedHashMapRequired

      Reserved field. Default is null.

    • causeErrorCodeRequired

      Root error. The source error that caused the current error. This field is null if no root error exists.

  • inventoryConsoleInventoryRequired

    For details, see inventory

    • schemeStringRequired

      Access protocol type

    • hostnameStringRequired

      Host name

    • portintRequired

      Port

    • tokenStringRequired

      Token

Endpoint

POST/zstack/v1/consoles

/zstack/v1/consoles

Operation ID

RequestConsoleAccess

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/consoles' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"vmInstanceUuid":"<vmInstanceUuid>","systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "scheme": "http", "hostname": "127.0.0.1", "port": 4900.0, "token": "d96caf24fae54c76b7652f548a258261" } }

Change History

This API has no change history records yet.

View all change history